Subject: Re: Re-done kernel archive - real one?

From: Greg KH <[email-masked]>
Date: Mon, 18 Apr 2005 16:26:08 -0700

On Mon, Apr 18, 2005 at 04:16:45PM -0700, Linus Torvalds wrote:
> 
> 
> On Mon, 18 Apr 2005, Greg KH wrote:
> > 
> > Anyway, I try it this way and get:
> 
> You should update to the newest version anyway..
> 
> > $ dotest ~/linux/patches/usb/usb-visor-tapwave_zodiac.patch             
> > 
> > Applying USB: visor Tapwave Zodiac support patch
> > 
> > fatal: preparing to update file 'drivers/usb/serial/visor.c' not uptodate in cache
> > 
> > What did I forget to do?
> 
> The most common reason is that the scripts _really_ want the index to 
> match your current tree exactly. Run "update-cache --refresh". And if you 
> have any uncommitted information, make sure to commit it first.

Ah, that was the step I was missing, thanks, it's working now.

greg k-h